Generation Framework

## org.eclipse.gmf.gmfgraph
Enum ColorConstants

    java.lang.Object
      java.lang.Enum<ColorConstants>
          org.eclipse.gmf.gmfgraph.ColorConstants

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ColorConstants>, org.eclipse.emf.common.util.Enumerator

    public enum ColorConstants

extends java.lang.Enum<ColorConstants>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Color Constants', and utility methods for working with them.

See Also:
  `GMFGraphPackage.getColorConstants()`
** Generated **
Model:

Enum Constant Summary
`BLACK_LITERAL` The 'Black' literal object
`BLUE_LITERAL` The 'Blue' literal object
`CYAN_LITERAL` The 'Cyan' literal object
`DARK_BLUE_LITERAL` The 'Dark Blue' literal object
`DARK_GRAY_LITERAL` The 'Dark Gray' literal object
`DARK_GREEN_LITERAL` The 'Dark Green' literal object
`GRAY_LITERAL` The 'Gray' literal object
`GREEN_LITERAL` The 'Green' literal object
`LIGHT_BLUE_LITERAL` The 'Light Blue' literal object
`LIGHT_GRAY_LITERAL` The 'Light Gray' literal object
`LIGHT_GREEN_LITERAL` The 'Light Green' literal object
`ORANGE_LITERAL` The 'Orange' literal object
`RED_LITERAL` The 'Red' literal object
`WHITE_LITERAL` The 'White' literal object
`YELLOW_LITERAL` The 'Yellow' literal object

Field Summary
`static int` `BLACK` The 'Black' literal value
`static int` `BLUE` The 'Blue' literal value
`static int` `CYAN` The 'Cyan' literal value
`static int` `DARK_BLUE` The 'Dark Blue' literal value
`static int` `DARK_GRAY` The 'Dark Gray' literal value
`static int` `DARK_GREEN` The 'Dark Green' literal value
`static int` `GRAY` The 'Gray' literal value
`static int` `GREEN` The 'Green' literal value
`static int` `LIGHT_BLUE` The 'Light Blue' literal value
`static int` `LIGHT_GRAY` The 'Light Gray' literal value
`static int` `LIGHT_GREEN` The 'Light Green' literal value
`static int` `ORANGE` The 'Orange' literal value
`static int` `RED` The 'Red' literal value
`static java.util.List<ColorConstants>` `VALUES` A public read-only list of all the 'Color Constants' enumerators
`static int` `WHITE` The 'White' literal value
`static int` `YELLOW` The 'Yellow' literal value

Method Summary
`static ColorConstants` `get(int value)` Returns the 'Color Constants' literal with the specified integer value
`static ColorConstants` `get(java.lang.String literal)` Returns the 'Color Constants' literal with the specified literal value
`static ColorConstants` `getByName(java.lang.String name)` Returns the 'Color Constants' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static ColorConstants` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ColorConstants[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WHITE_LITERAL

    public static final ColorConstants WHITE_LITERAL

  The 'White' literal object.

  See Also:
    `WHITE`
  ** Generated **
  Ordered:

### BLACK_LITERAL

    public static final ColorConstants BLACK_LITERAL

  The 'Black' literal object.

  See Also:
    `BLACK`
  ** Generated **
  Ordered:

### LIGHT_GRAY_LITERAL

    public static final ColorConstants LIGHT_GRAY_LITERAL

  The 'Light Gray' literal object.

  See Also:
    `LIGHT_GRAY`
  ** Generated **
  Ordered:

### GRAY_LITERAL

    public static final ColorConstants GRAY_LITERAL

  The 'Gray' literal object.

  See Also:
    `GRAY`
  ** Generated **
  Ordered:

### DARK_GRAY_LITERAL

    public static final ColorConstants DARK_GRAY_LITERAL

  The 'Dark Gray' literal object.

  See Also:
    `DARK_GRAY`
  ** Generated **
  Ordered:

### RED_LITERAL

    public static final ColorConstants RED_LITERAL

  The 'Red' literal object.

  See Also:
    `RED`
  ** Generated **
  Ordered:

### ORANGE_LITERAL

    public static final ColorConstants ORANGE_LITERAL

  The 'Orange' literal object.

  See Also:
    `ORANGE`
  ** Generated **
  Ordered:

### YELLOW_LITERAL

    public static final ColorConstants YELLOW_LITERAL

  The 'Yellow' literal object.

  See Also:
    `YELLOW`
  ** Generated **
  Ordered:

### GREEN_LITERAL

    public static final ColorConstants GREEN_LITERAL

  The 'Green' literal object.

  See Also:
    `GREEN`
  ** Generated **
  Ordered:

### LIGHT_GREEN_LITERAL

    public static final ColorConstants LIGHT_GREEN_LITERAL

  The 'Light Green' literal object.

  See Also:
    `LIGHT_GREEN`
  ** Generated **
  Ordered:

### DARK_GREEN_LITERAL

    public static final ColorConstants DARK_GREEN_LITERAL

  The 'Dark Green' literal object.

  See Also:
    `DARK_GREEN`
  ** Generated **
  Ordered:

### CYAN_LITERAL

    public static final ColorConstants CYAN_LITERAL

  The 'Cyan' literal object.

  See Also:
    `CYAN`
  ** Generated **
  Ordered:

### LIGHT_BLUE_LITERAL

    public static final ColorConstants LIGHT_BLUE_LITERAL

  The 'Light Blue' literal object.

  See Also:
    `LIGHT_BLUE`
  ** Generated **
  Ordered:

### BLUE_LITERAL

    public static final ColorConstants BLUE_LITERAL

  The 'Blue' literal object.

  See Also:
    `BLUE`
  ** Generated **
  Ordered:

### DARK_BLUE_LITERAL

    public static final ColorConstants DARK_BLUE_LITERAL

  The 'Dark Blue' literal object.

  See Also:
    `DARK_BLUE`
  ** Generated **
  Ordered:

Field Detail

### WHITE

    public static final int WHITE

  The 'White' literal value.

  If the meaning of 'White' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WHITE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="white"

### BLACK

    public static final int BLACK

  The 'Black' literal value.

  If the meaning of 'Black' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BLACK_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="black"

### LIGHT_GRAY

    public static final int LIGHT_GRAY

  The 'Light Gray' literal value.

  If the meaning of 'Light Gray' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LIGHT_GRAY_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="lightGray"

### GRAY

    public static final int GRAY

  The 'Gray' literal value.

  If the meaning of 'Gray' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GRAY_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="gray"

### DARK_GRAY

    public static final int DARK_GRAY

  The 'Dark Gray' literal value.

  If the meaning of 'Dark Gray' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DARK_GRAY_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="darkGray"

### RED

    public static final int RED

  The 'Red' literal value.

  If the meaning of 'Red' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RED_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="red"

### ORANGE

    public static final int ORANGE

  The 'Orange' literal value.

  If the meaning of 'Orange' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ORANGE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="orange"

### YELLOW

    public static final int YELLOW

  The 'Yellow' literal value.

  If the meaning of 'Yellow' literal object isn't clear, there really should be more of a description here...

  See Also:
    `YELLOW_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="yellow"

### GREEN

    public static final int GREEN

  The 'Green' literal value.

  If the meaning of 'Green' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GREEN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="green"

### LIGHT_GREEN

    public static final int LIGHT_GREEN

  The 'Light Green' literal value.

  If the meaning of 'Light Green' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LIGHT_GREEN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="lightGreen"

### DARK_GREEN

    public static final int DARK_GREEN

  The 'Dark Green' literal value.

  If the meaning of 'Dark Green' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DARK_GREEN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="darkGreen"

### CYAN

    public static final int CYAN

  The 'Cyan' literal value.

  If the meaning of 'Cyan' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CYAN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="cyan"

### LIGHT_BLUE

    public static final int LIGHT_BLUE

  The 'Light Blue' literal value.

  If the meaning of 'Light Blue' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LIGHT_BLUE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="lightBlue"

### BLUE

    public static final int BLUE

  The 'Blue' literal value.

  If the meaning of 'Blue' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BLUE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="blue"

### DARK_BLUE

    public static final int DARK_BLUE

  The 'Dark Blue' literal value.

  If the meaning of 'Dark Blue' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DARK_BLUE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="darkBlue"

### VALUES

    public static final java.util.List<ColorConstants> VALUES

  A public read-only list of all the 'Color Constants' enumerators.

  ** Generated **

Method Detail

### values

    public static final ColorConstants[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ColorConstants c : ColorConstants.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ColorConstants valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static ColorConstants get(java.lang.String literal)

  Returns the 'Color Constants' literal with the specified literal value.

  ** Generated **

### getByName

    public static ColorConstants getByName(java.lang.String name)

  Returns the 'Color Constants' literal with the specified name.

  ** Generated **

### get

    public static ColorConstants get(int value)

  Returns the 'Color Constants' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ColorConstants>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.